Page MenuHomePhabricator

Special:Nearby doesn't show human readable labels on Wikidata (shows item id)
Closed, ResolvedPublic

Description

Seems like something has broken again, see https://www.wikidata.org/wiki/Special:Nearby.

On the nearby view the Q title's show rather than the display title for example:


(Expected: Should show "140 New Montgomery" for https://www.wikidata.org/wiki/Q14681501)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2016, 9:14 AM

Please elaborate, https://en.wikipedia.org/wiki/Special:Nearby appears to work.

I was talking about https://www.wikidata.org/wiki/Special:Nearby, that's why I included the projects that you removed.

That's why it's so important to provide actual steps to reproduce the problem.

MaxSem removed a subscriber: MaxSem.Jul 23 2016, 2:20 PM
Sjoerddebruin renamed this task from Special:Nearby doesn't show any labels to Special:Nearby doesn't show any labels on Wikidata.Jul 24 2016, 10:57 AM
Sjoerddebruin updated the task description. (Show Details)
Ladsgroup added a subscriber: Ladsgroup.

Happens in both mobile and desktop, removing MobileFrontend

I looked at this: Special:Nearby is using the display title again, but per T120197 we stopped saving that to the page props. I will fix MF to start using the actual labels again.

Change 301107 had a related patch set uploaded (by Hoo man):
Don't override the wbptterms GET parameter in extendSearchParams

https://gerrit.wikimedia.org/r/301107

hoo claimed this task.Jul 26 2016, 11:33 AM
hoo moved this task from Proposed to Review on the Wikidata-Sprint-2016-08-02 board.

I can see Wikidata descriptions on https://www.wikidata.org/wiki/Special:Nearby
What am I missing?

Jdlrobson updated the task description. (Show Details)Jul 26 2016, 6:40 PM

I see. I've updated the description with replication instructions to avoid even more confusion.

Jdlrobson renamed this task from Special:Nearby doesn't show any labels on Wikidata to Special:Nearby doesn't show human readable labels on Wikidata (shows item id).Jul 26 2016, 9:01 PM

Change 301107 merged by jenkins-bot:
Don't override the wbptterms GET parameter in extendSearchParams

https://gerrit.wikimedia.org/r/301107

hoo moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.Jul 27 2016, 10:49 PM
hoo closed this task as Resolved.Jul 27 2016, 11:10 PM

The next mobile frontend deploy to Wikidata (on Wednesday, August 3) should fix this.